Name:           smp_utils
Version:        0.98
Release:        14
Summary:        Utilities for SAS management protocol (SMP)
License:        BSD
URL:            http://sg.danny.cz/sg/smp_utils.html
Source0:        http://sg.danny.cz/sg/p/%{name}-%{version}.tgz
Patch0000:      0000-smp_utils-0.98-sysmacros.patch
Patch6000:      6000-Add-files-via-upload.patch

BuildRequires:  gcc,git
Provides:       %{name}-libs %{name}-libs%{?_isa}
Obsoletes:      %{name}-libs

%description
The smp_utils package contains utilities for the Serial Attached
SCSI (SAS) Serial Management Protocol (SMP).  Most utilities correspond
to a single SMP function, sending out a request, checking for errors
and if all is well processing the response. The response is either
decoded, printed out in ASCII hexadecimal or sent as binary to stdout.
This package supports the linux 2.4 and 2.6 series and should be
easy to port to other operating systems.

Warning: These utilities access SAS expanders (storage switches) and
the incorrect usage of them may render your system and others inoperable.


%package devel
Summary: Static library and header files for the smputils library
Requires: %{name} = %{version}-%{release}

%description devel
The smp_utils-devel package contains the %{name} library and its header files for
developing applications.

%package help
Summary: Help info for %{name}
Requires: man

%description help
This package contains the help info for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?smp_mflags} CFLAGS="%{optflags} -DSMP_UTILS_LINUX"


%install
make install \
        PREFIX=%{_prefix} \
        DESTDIR=%{buildroot}


%files
%doc ChangeLog COVERAGE CREDITS README
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%files devel
%{_includedir}/scsi/*.h
%{_libdir}/*.so

%files help
%{_mandir}/man8/*


%changelog
* Fri Aug 30 2019 mingfangsen <mingfangsen@huawei.com> -0.98-13.2
- Package init
